<template>
  <div id="app">
    <SlpNavigation
      free-trial-variant="steel"
      :contentful-navigation-data="navigation"
    />
    <SlpContainer class="app-container">
      <div class="slp-pl-16 slp-pr-16">
        <h1 class="app-header">Button Variants</h1>
        <div class="button-container">
          <NavButton free-trial-variant="primary" href="/">Primary</NavButton>
          <NavButton free-trial-variant="accent" href="/">Accent</NavButton>
          <NavButton free-trial-variant="steel" href="/">Steel</NavButton>
          <NavButton free-trial-variant="gleam" href="/">Gleam</NavButton>
        </div>
        <h1 class="app-header">Navigation repository</h1>
        <p class="app-body">
          Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent vel
          am sit amet augue euismod bibendum id ac leo. Pellentesque diam nisi,
          ultrices ac lectus tempus, laoreet posuere purus. Sed vel nulla eget
          sem auctor auctor. Donec maximus maximus sem sed semper. Suspendisse a
          ex is magna lobortis iaculis eu a lorem. Pellentesque porta nulla a
          rhoncus lacinia. Mauris eleifend faucibus libero, eget dignissim leo
          tempor id.
        </p>
        <p class="app-body">
          Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent vel
          di sit amet augue euismod bibendum id ac leo. Pellentesque diam nisi,
          ultrices ac lectus tempus, laoreet posuere purus. Sed vel nulla eget
          sem auctor auctor. Donec maximus maximus sem sed semper. Suspendisse a
          ex qu magna lobortis iaculis eu a lorem. Pellentesque porta nulla a
          rhoncus lacinia. Mauris eleifend faucibus libero, eget dignissim leo
          tempor id.
        </p>
        <p class="app-body">
          Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent vel
          di sit amet augue euismod bibendum id ac leo. Pellentesque diam nisi,
          ultrices ac lectus tempus, laoreet posuere purus. Sed vel nulla eget
          sem auctor auctor. Donec maximus maximus sem sed semper. Suspendisse a
          ex qu magna lobortis iaculis eu a lorem. Pellentesque porta nulla a
          rhoncus lacinia. Mauris eleifend faucibus libero, eget dignissim leo
          tempor id.
        </p>
        <p class="app-body">
          Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent vel
          di sit amet augue euismod bibendum id ac leo. Pellentesque diam nisi,
          ultrices ac lectus tempus, laoreet posuere purus. Sed vel nulla eget
          sem auctor auctor. Donec maximus maximus sem sed semper. Suspendisse a
          ex qu magna lobortis iaculis eu a lorem. Pellentesque porta nulla a
          rhoncus lacinia. Mauris eleifend faucibus libero, eget dignissim leo
          tempor id.
        </p>
        <p class="app-body">
          Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent vel
          diam sit amet augue euismod bibendum id ac leo. Pellentesque diam
          nisi, ultrices ac lectus tempus, laoreet posuere purus. Sed vel nulla
          eget sem auctor auctor. Donec maximus maximus sem sed semper.
          Suspendisse a ex quis magna lobortis iaculis eu a lorem. Pellentesque
          porta nulla a rhoncus lacinia. Mauris eleifend faucibus libero, eget
          dignissim leo tempor id.
        </p>
        <img
          class="test"
          src="https://i.guim.co.uk/img/media/d143e03bccd1150ef52b8b6abd7f3e46885ea1b3/0_182_5472_3283/master/5472.jpg?width=1020&quality=45&auto=format&fit=max&dpr=2&s=f10587e104d679498f5092e1bf4d158c"
          alt="test"
        />
        <p class="app-body">
          Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent vel
          diam sit amet augue euismod bibendum id ac leo. Pellentesque diam
          nisi, ultrices ac lectus tempus, laoreet posuere purus. Sed vel nulla
          eget sem auctor auctor. Donec maximus maximus sem sed semper.
          Suspendisse a ex quis magna lobortis iaculis eu a lorem. Pellentesque
          porta nulla a rhoncus lacinia. Mauris eleifend faucibus libero, eget
          dignissim leo tempor id.
        </p>
        <p class="app-body">
          Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent vel
          diam sit amet augue euismod bibendum id ac leo. Pellentesque diam
          nisi, ultrices ac lectus tempus, laoreet posuere purus. Sed vel nulla
          eget sem auctor auctor. Donec maximus maximus sem sed semper.
          Suspendisse a ex quis magna lobortis iaculis eu a lorem. Pellentesque
          porta nulla a rhoncus lacinia. Mauris eleifend faucibus libero, eget
          dignissim leo tempor id.
        </p>
        <p class="app-body">
          Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent vel
          diam sit amet augue euismod bibendum id ac leo. Pellentesque diam
          nisi, ultrices ac lectus tempus, laoreet posuere purus. Sed vel nulla
          eget sem auctor auctor. Donec maximus maximus sem sed semper.
          Suspendisse a ex quis magna lobortis iaculis eu a lorem. Pellentesque
          porta nulla a rhoncus lacinia. Mauris eleifend faucibus libero, eget
          dignissim leo tempor id.
        </p>
        <p class="app-body">
          Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent vel
          diam sit amet augue euismod bibendum id ac leo. Pellentesque diam
          nisi, ultrices ac lectus tempus, laoreet posuere purus. Sed vel nulla
          eget sem auctor auctor. Donec maximus maximus sem sed semper.
          Suspendisse a ex quis magna lobortis iaculis eu a lorem. Pellentesque
          porta nulla a rhoncus lacinia. Mauris eleifend faucibus libero, eget
          dignissim leo tempor id.
        </p>
      </div>
    </SlpContainer>
    <!--<SlpFooter :contentful-footer-data="footer" />-->
    <SlpMinimizedFooter :contentful-footer-data="footer" />

  </div>
</template>

<script>
import Vue from "vue";
import { SlpContainer } from "slippers-ui";
import SlpFooter from "./components/Footer/Footer.vue";
import SlpMinimizedFooter from "./components/Footer/minimal-footer.vue";
import SlpNavigation from "./components/Navigation/Navigation.vue";
import NavButton from "@/components/Common/nav-button.vue";
import navigationMock from "./mocks/navigation.json";
import footerMock from "./mocks/footer.json";
import { LANG_OPTIONS } from "@/common/constants";

export default Vue.extend({
  name: "App",
  data() {
    return {
      navigation: null,
      footer: null,
    };
  },
  beforeMount() {
    const userLang = JSON.parse(localStorage.getItem("lang"));
    const defaultLang = LANG_OPTIONS.find((lang) => lang.default);
    const langOptions = ["de-de", "es", "fr-fr", "it-it", "ja-jp", "pt-BR"];
    let pathLang = LANG_OPTIONS.filter((lang) => !lang.default).find((lang) =>
      window.location.pathname.includes(lang.value)
    );

    if (userLang) {
      // Undefined pathLang means that the current page is in English
      pathLang = pathLang || defaultLang;

      this.navigation =
        pathLang.code !== userLang.code
          ? navigationMock[pathLang.code]
          : navigationMock[userLang.code];

      this.footer =
        pathLang.code !== userLang.code
          ? footerMock[pathLang.code]
          : footerMock[userLang.code];
    } else {
      this.navigation = pathLang
        ? navigationMock[pathLang.code]
        : navigationMock[defaultLang.code];

      this.footer = pathLang
        ? footerMock[pathLang.code]
        : footerMock[defaultLang.code];
    }
  },
  components: {
    NavButton,
    SlpContainer,
    SlpFooter,
    SlpNavigation,
    SlpMinimizedFooter,
  },
});
</script>

<style lang="scss">
@import "slippers-ui/src/styles/variables";
@import "slippers-ui/src/styles/base.scss";
@import "slippers-ui/dist/slippers-core.css";
@import "styles/fonts";

body {
  font-family: "GitLab Sans", Tahoma, Geneva, Verdana, sans-serif !important;
}

#app {
  background-color: #171321;
}

.app-header {
  margin-top: 128px;
  margin-bottom: 64px;
}

.app-body {
  margin-bottom: 128px;
}

.app-container {
  color: white;
  padding: 0 !important;
}

.test {
  max-width: 100%;
}

.button-container {
  padding: $spacing-24;
  margin-bottom: $spacing-24;
  background-color: $color-primary-300;
  display: flex;
  justify-content: space-evenly;
  .slp-btn {
    width: 10rem;
    justify-content: center;
  }
}
</style>
